# == Class: ssh
#
# This module manages ssh-server.
#
# === Parameters
#
# [*package*] - The name of the package to install.
# [*service*] - The name of the managed service.
# [*port*]    - The port to listen.
#
# === Examples
#
# See README for details.
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class ssh (
	$package = $ssh::params::package,
	$service = $ssh::params::service,
	$port    = $ssh::params::port
)	inherits ssh::params {

	include ssh::params, ssh::install, ssh::service, ssh::config

}
