# == Class: ssh::params
#
# This class manages the parameters of this ssh module.
#
# === Parameters
#
# [*package*] - The name of the package to install.
# [*service*] - The name of the managed service.
# [*port*]    - The port to listen.
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class ssh::params {
	$port    = '22'
	$service = 'ssh'
	$package = ['openssh-client', 'openssh-server']
}
